Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.buildqueue
Class SimpleBuildQueue

    java.lang.Object
      com.atlassian.bamboo.buildqueue.SimpleBuildQueue

All Implemented Interfaces:
  BuildQueue

    public class SimpleBuildQueue

extends Object
implements BuildQueue

This class builds a simple build queue for displaying to the user.

Constructor Summary
`SimpleBuildQueue(TaskDaemon buildTask, BuildExecutor buildExecutor, PipelineDefinition definition)` Create the build queue

Method Summary
`void` | `add(BuildResults buildResults)` Add the build name to end of the current build queue
`String` | `getName()`
`Collection` | `getQueue()` Provide the queue so that the UI can display it
`void` | `remove(Build build)` Remove the given build from the queue.
`void` | `removeBuildKey(String buildKey)` Add the given build to the build queue.
`void` | `setDefinition(PipelineDefinition pipelineDefinition)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleBuildQueue

    public SimpleBuildQueue(TaskDaemon buildTask,
                            BuildExecutor buildExecutor,
                            PipelineDefinition definition)

  Create the build queue

  Parameters:
    `buildTask` - The build task so that the current build job can be killed by the user
    `buildExecutor` - Access to the builds being built
    `definition` -

Method Detail

### getName

    public String getName()

  Specified by:
    `getName` in interface `BuildQueue`

### add

    public void add(BuildResults buildResults)

  Add the build name to end of the current build queue

  Parameters:
    `buildResults` -

### remove

    public void remove(Build build)

  Remove the given build from the queue. This will also terminate the build (iff the build is building) and

  Parameters:
    `build` - The build being removed

### removeBuildKey

    public void removeBuildKey(String buildKey)

  Description copied from interface: `BuildQueue`
  Add the given build to the build queue.

  Specified by:
    `removeBuildKey` in interface `BuildQueue`

### getQueue

    public Collection getQueue()

  Provide the queue so that the UI can display it

  Specified by:
    `getQueue` in interface `BuildQueue`
  Returns:
    The contents of the queue

### setDefinition

    public void setDefinition(PipelineDefinition pipelineDefinition)

  Specified by:
    `setDefinition` in interface `BuildQueue`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.